#include<iostream>
using namespace std;
int main(){
    long long n, a, b, c;
    cin >> n >> a >> b;
    for(long long i = 0; i < n - 2; ++i){
        c = a;
        c *= b;
        long long copie = c;
        c = 0;
        if(copie % 10 > 0){
            c += 1 * (copie % 10 - 1);
        }else{
            c += 1 * 9;
        }
        copie /= 10;

        if(copie % 10 > 0){
            c += 10 * (copie % 10 - 1);
        }else{
            c += 10 * 9;
        }
        copie /= 10;

        if(copie % 10 > 0){
            c += 100 * (copie % 10 - 1);
        }else{
            c += 100 * 9;
        }
        copie /= 10;
        a = b;
        b = c;
    }
    cout << c;
    return 0;
}
